Arch Bewehrungsstab bügelförmig

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Stirrup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Arch Rebar Stirrup.svg Arch Bewehrungsstab bügelförmig

Menüeintrag
Arch → Rebar tools → Stirrup oder 3D/BIM → Reinforcement tools → Bügel
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Verstärkung, Bewehrungsstab, Spiralförmiger Bewehrungsstab

Beschreibung

Das Bügelförmiger Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von bügelförmigen Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

Das Arch Bügelförmiger Bewehrungsstab-Werkzeug ist auch im BIM-Arbeitsbereich integriert.

Dieser Befehl ist Teil des Verstärkung-Arbeitsbereichs, der mit demAddonManager.svg Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar Stirrup example.png

Ein Satz von bügelförmigen Bewehrungsstäben in einem Struktur

-Objekt

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar Stirrup.svg Bügelförmiger Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Fülle die Werte wie 'Left Cover' (linke Fläche), 'Right Cover' (rechte), 'Top Cover' (obere), 'Bottom Cover' (untere), 'Front Cover' (vordere), 'Anchor length' (Ankerlänge), 'Bent Angle' (Biegungswinkel), 'Bent Factor', 'Rounding' und 'Diameter' (Durchmesser) des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder 'Amount' (Menge) oder 'Spacing' (Abstand).
  7. Falls 'Spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle Pick selected face zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.
StirrupDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab bügelförmig-Werkzeug

Eigenschaften

  • Daten-EigenschaftFront Cover: Der Abstand zwischen Bewehrungsstab und ausgewählter Fläche.
  • Daten-EigenschaftRight Cover: Der Abstand zwischen dem rechten Ende des Bewehrungsstabs und der rechten Fläche der Struktur.
  • Daten-EigenschaftLeft Cover: Der Abstand zwischen dem linken Ende des Bewehrungsstabs und der linken Fläche der Struktur.
  • Daten-EigenschaftBottom Cover: Der Abstand zwischen dem Bewehrungsstab und der unteren Fläche der Struktur.
  • Daten-EigenschaftTop Cover: Der Abstand zwischen dem Bewehrungsstab und der oberen Fläche der Struktur.
  • Daten-EigenschaftBent Angle: Definiert den Winkel zwischen den Enden eines Bügels.
  • Daten-EigenschaftBent Factor: Definiert die Länge des Bügelendes.
  • Daten-EigenschaftAmount: Die Anzahl von Bewehrungsstäben.
  • Daten-EigenschaftSpacing: Der Abstand zwischen den Achsen jedes Bewehrungsstabs.

Scripten

Siehe auch: Arch API,Reinforcement-API und FreeCAD Grundlagen Skripten.

Das Bügelförmiger Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Erstellt ein Rebar-Objekt aus der angegebenen structure, die ein Bauelement ist und facename, das eine Fläche dieser Struktur ist.
    • Falls weder structure noch facename angegeben werden, wird die vom Benutzer ausgewählte Fläche als Eingabe verwendet.
  • l_cover, r_cover, t_cover, b_cover und f_cover sind innere Abstände zwischen den Bewehrungsstab-Elementen bezogen auf die Flächen der Struktur. Es sind die linken, rechten, oberen, unteren und vorderen Abstände.
  • diameter ist der Durchmesser der Verstärkungsstäbe innerhalb der Stuktur.
  • rounding ist der Parameter, der den Biegeradius der Verstärkungsstäbe bei einer Windung.
  • bentLength und bentAngle definieren Länge und Winkel der Spitze der Verstärkungswindung.
  • amount_spacing_check, falls True werden soviele Windungen erzeugt wie durch amount_spacing_value angegeben; falls False werden Windungen im Abstand des numerischen Werts von amount_spacing_value erzeugt.
  • amount_spacing_value gibt die Anzahl der Verstärkungswindungen an oder den Wert des Abstand zwischen ihnen, abhängig von amount_spacing_check.

Beispiel

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes StirrupRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeStirrup()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)